# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import messages_pb2 as messages__pb2


class ServerStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.SetTitle = channel.unary_unary(
                '/Server/SetTitle',
                request_serializer=messages__pb2.TitleRequest.SerializeToString,
                response_deserializer=messages__pb2.Empty.FromString,
                )
        self.SubprocessPopen = channel.unary_unary(
                '/Server/SubprocessPopen',
                request_serializer=messages__pb2.PopenRequest.SerializeToString,
                response_deserializer=messages__pb2.Empty.FromString,
                )
        self.CaptureWindow = channel.unary_unary(
                '/Server/CaptureWindow',
                request_serializer=messages__pb2.Empty.SerializeToString,
                response_deserializer=messages__pb2.CaptureWindowResponse.FromString,
                )
        self.Click = channel.unary_unary(
                '/Server/Click',
                request_serializer=messages__pb2.ClickRequest.SerializeToString,
                response_deserializer=messages__pb2.Empty.FromString,
                )
        self.Drag = channel.unary_unary(
                '/Server/Drag',
                request_serializer=messages__pb2.ClickRequest.SerializeToString,
                response_deserializer=messages__pb2.Empty.FromString,
                )
        self.Scroll = channel.unary_unary(
                '/Server/Scroll',
                request_serializer=messages__pb2.ScrollRequest.SerializeToString,
                response_deserializer=messages__pb2.Empty.FromString,
                )


class ServerServicer(object):
    """Missing associated documentation comment in .proto file."""

    def SetTitle(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def SubprocessPopen(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def CaptureWindow(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def Click(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def Drag(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def Scroll(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_ServerServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'SetTitle': grpc.unary_unary_rpc_method_handler(
                    servicer.SetTitle,
                    request_deserializer=messages__pb2.TitleRequest.FromString,
                    response_serializer=messages__pb2.Empty.SerializeToString,
            ),
            'SubprocessPopen': grpc.unary_unary_rpc_method_handler(
                    servicer.SubprocessPopen,
                    request_deserializer=messages__pb2.PopenRequest.FromString,
                    response_serializer=messages__pb2.Empty.SerializeToString,
            ),
            'CaptureWindow': grpc.unary_unary_rpc_method_handler(
                    servicer.CaptureWindow,
                    request_deserializer=messages__pb2.Empty.FromString,
                    response_serializer=messages__pb2.CaptureWindowResponse.SerializeToString,
            ),
            'Click': grpc.unary_unary_rpc_method_handler(
                    servicer.Click,
                    request_deserializer=messages__pb2.ClickRequest.FromString,
                    response_serializer=messages__pb2.Empty.SerializeToString,
            ),
            'Drag': grpc.unary_unary_rpc_method_handler(
                    servicer.Drag,
                    request_deserializer=messages__pb2.ClickRequest.FromString,
                    response_serializer=messages__pb2.Empty.SerializeToString,
            ),
            'Scroll': grpc.unary_unary_rpc_method_handler(
                    servicer.Scroll,
                    request_deserializer=messages__pb2.ScrollRequest.FromString,
                    response_serializer=messages__pb2.Empty.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'Server', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Server(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def SetTitle(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Server/SetTitle',
            messages__pb2.TitleRequest.SerializeToString,
            messages__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def SubprocessPopen(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Server/SubprocessPopen',
            messages__pb2.PopenRequest.SerializeToString,
            messages__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def CaptureWindow(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Server/CaptureWindow',
            messages__pb2.Empty.SerializeToString,
            messages__pb2.CaptureWindowResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def Click(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Server/Click',
            messages__pb2.ClickRequest.SerializeToString,
            messages__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def Drag(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Server/Drag',
            messages__pb2.ClickRequest.SerializeToString,
            messages__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def Scroll(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/Server/Scroll',
            messages__pb2.ScrollRequest.SerializeToString,
            messages__pb2.Empty.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
